Debian Bug report logs - #535909
camlimages: CVE-2009-2295 several integer overflows

version graph

Package: camlimages; Maintainer for camlimages is Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>;

Reported by: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>

Date: Sun, 5 Jul 2009 23:42:01 UTC

Severity: serious

Tags: security

Found in version 2.20-8

Fixed in versions 1:3.0.1-3, camlimages/1:2.2.0-4+lenny1, camlimages/2.20-8+etch1

Done: Stefano Zacchiroli <zack@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Sun, 05 Jul 2009 23:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Sun, 05 Jul 2009 23:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>
To: submit@bugs.debian.org
Subject: camlimages: CVE-2009-2295 several integer overflows
Date: Sun, 5 Jul 2009 19:38:51 -0400
package: camlimages
version: 2.20-8
severity: serious
tags: security

hello,

camlimages is vulnerable to several integer overflows [1].  this has
not yet been fixed upstream, but has been addressed by redhat [2].

[1] http://www.ocert.org/advisories/ocert-2009-009.html
[2] https://bugzilla.redhat.com/show_bug.cgi?id=509531




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Mon, 06 Jul 2009 07:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Mon, 06 Jul 2009 07:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 535909@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>, 535909@bugs.debian.org
Cc: security@debian.org
Subject: Re: Bug#535909: camlimages: CVE-2009-2295 several integer overflows
Date: Mon, 6 Jul 2009 09:38:39 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 05, 2009 at 07:38:51PM -0400, Michael S. Gilbert wrote:
> package: camlimages
> version: 2.20-8
> severity: serious
> tags: security
> 
> hello,
> 
> camlimages is vulnerable to several integer overflows [1].  this has
> not yet been fixed upstream, but has been addressed by redhat [2].

Thanks, we're aware of that. The patch has already been applied in the
unstable version and the security team has already been notified
too. Stay tuned for a fix in stable.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Mon, 06 Jul 2009 07:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Le Gall <gildor@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Mon, 06 Jul 2009 07:45:02 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Sylvain Le Gall <gildor@debian.org>
To: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>, 535909@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#535909: camlimages: CVE-2009-2295 several integer overflows
Date: Mon, 6 Jul 2009 09:40:48 +0200
Hello,

On Sun, Jul 05, 2009 at 07:38:51PM -0400, Michael S. Gilbert wrote:
> package: camlimages
> version: 2.20-8
> severity: serious
> tags: security
> 
> hello,
> 
> camlimages is vulnerable to several integer overflows [1].  this has
> not yet been fixed upstream, but has been addressed by redhat [2].
> 
> [1] http://www.ocert.org/advisories/ocert-2009-009.html
> [2] https://bugzilla.redhat.com/show_bug.cgi?id=509531
> 

Patch has already been applied for sid version (3.0.1-2), migration to
lenny is blocked by current OCaml 3.11.1 transition. 

We need to patch lenny (2.2.0-4), but you seems to use etch (2.20-8).

Regards
Sylvain Le Gall





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Mon, 06 Jul 2009 07:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Le Gall <gildor@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Mon, 06 Jul 2009 07:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Mon, 06 Jul 2009 08:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Mon, 06 Jul 2009 08:18:02 GMT) Full text and rfc822 format available.

Message #25 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Sylvain Le Gall <gildor@debian.org>, 535909@bugs.debian.org
Cc: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>, submit@bugs.debian.org
Subject: Re: Bug#535909: camlimages: CVE-2009-2295 several integer overflows
Date: Mon, 6 Jul 2009 10:13:49 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 06, 2009 at 09:40:48AM +0200, Sylvain Le Gall wrote:
> Patch has already been applied for sid version (3.0.1-2), migration to
> lenny is blocked by current OCaml 3.11.1 transition. 
  ^^^^^

Errata corrige. Migration to *squeeze* (i.e., testing) is currently
blocked by the transition. Updates to *lenny* (i.e., stable) will
happen by hand via security fixes.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Mon, 06 Jul 2009 08:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Mon, 06 Jul 2009 08:18:04 GMT) Full text and rfc822 format available.

Reply sent to Sylvain Le Gall <gildor@debian.org>:
You have taken responsibility. (Sat, 08 Aug 2009 08:45:12 GMT) Full text and rfc822 format available.

Notification sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Sat, 08 Aug 2009 08:45:12 GMT) Full text and rfc822 format available.

Message #35 received at 535909-done@bugs.debian.org (full text, mbox):

From: Sylvain Le Gall <gildor@debian.org>
To: 535909-done@bugs.debian.org
Subject: no more CVE-2009-2295
Date: Sat, 8 Aug 2009 10:43:37 +0200
Hello,

This bug has been solved with 1:3.0.1-2 before the bug was opened. 

Regards
Sylvain Le Gall






Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Sun, 09 Aug 2009 03:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Sun, 09 Aug 2009 03:06:02 GMT) Full text and rfc822 format available.

Message #40 received at 535909@bugs.debian.org (full text, mbox):

From: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>
To: 535909@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#535909
Date: Sat, 8 Aug 2009 23:01:45 -0400
reopen 535909
fixed 535909 1:3.0.1-3
thanks

> This bug has been solved with 1:3.0.1-2 before the bug was opened.

thanks for the update.  please coordinate with the security team to
prepare updates for the stable releases.




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Aug 2009 03:06:05 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 1:3.0.1-3. Request was from "Michael S. Gilbert" <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sun, 09 Aug 2009 03:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Sun, 09 Aug 2009 09:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Le Gall <gildor@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Sun, 09 Aug 2009 09:06:05 GMT) Full text and rfc822 format available.

Message #49 received at 535909@bugs.debian.org (full text, mbox):

From: Sylvain Le Gall <gildor@debian.org>
To: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>, 535909@bugs.debian.org
Subject: Re: Bug#535909:
Date: Sun, 9 Aug 2009 11:00:50 +0200
Hello,

On Sat, Aug 08, 2009 at 11:01:45PM -0400, Michael S. Gilbert wrote:
> reopen 535909
> fixed 535909 1:3.0.1-3
> thanks
> 
> > This bug has been solved with 1:3.0.1-2 before the bug was opened.
> 
> thanks for the update.  please coordinate with the security team to
> prepare updates for the stable releases.
> 
> 

For stable and oldstable, already done.

lenny: 1:2.2.0-4+lenny1 
etch: 2.20-8+etch1

Regards
Sylvain Le Gall






Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#535909; Package camlimages. (Mon, 10 Aug 2009 03:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Mon, 10 Aug 2009 03:36:03 GMT) Full text and rfc822 format available.

Message #54 received at 535909@bugs.debian.org (full text, mbox):

From: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>
To: 535909@bugs.debian.org
Subject: Re: Bug#535909:
Date: Sun, 9 Aug 2009 23:32:40 -0400
On Sun, 9 Aug 2009 11:00:50 +0200 Sylvain Le Gall wrote:

> Hello,
> 
> On Sat, Aug 08, 2009 at 11:01:45PM -0400, Michael S. Gilbert wrote:
> > reopen 535909
> > fixed 535909 1:3.0.1-3
> > thanks
> > 
> > > This bug has been solved with 1:3.0.1-2 before the bug was opened.
> > 
> > thanks for the update.  please coordinate with the security team to
> > prepare updates for the stable releases.
> > 
> > 
> 
> For stable and oldstable, already done.
> 
> lenny: 1:2.2.0-4+lenny1 
> etch: 2.20-8+etch1

great!  thanks for pushing out these updates.




Reply sent to Stefano Zacchiroli <zack@debian.org>:
You have taken responsibility. (Mon, 10 Aug 2009 20:15:07 GMT) Full text and rfc822 format available.

Notification sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Mon, 10 Aug 2009 20:15:09 GMT) Full text and rfc822 format available.

Message #59 received at 535909-close@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 535909-close@bugs.debian.org
Subject: Bug#535909: fixed in camlimages 1:2.2.0-4+lenny1
Date: Mon, 10 Aug 2009 19:57:57 +0000
Source: camlimages
Source-Version: 1:2.2.0-4+lenny1

We believe that the bug you reported is fixed in the latest version of
camlimages, which is due to be installed in the Debian FTP archive:

camlimages_2.2.0-4+lenny1.diff.gz
  to pool/main/c/camlimages/camlimages_2.2.0-4+lenny1.diff.gz
camlimages_2.2.0-4+lenny1.dsc
  to pool/main/c/camlimages/camlimages_2.2.0-4+lenny1.dsc
libcamlimages-ocaml-dev_2.2.0-4+lenny1_i386.deb
  to pool/main/c/camlimages/libcamlimages-ocaml-dev_2.2.0-4+lenny1_i386.deb
libcamlimages-ocaml-doc_2.2.0-4+lenny1_all.deb
  to pool/main/c/camlimages/libcamlimages-ocaml-doc_2.2.0-4+lenny1_all.deb
libcamlimages-ocaml_2.2.0-4+lenny1_i386.deb
  to pool/main/c/camlimages/libcamlimages-ocaml_2.2.0-4+lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535909@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Zacchiroli <zack@debian.org> (supplier of updated camlimages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jul 2009 14:30:01 +0200
Source: camlimages
Binary: libcamlimages-ocaml libcamlimages-ocaml-dev libcamlimages-ocaml-doc
Architecture: source all i386
Version: 1:2.2.0-4+lenny1
Distribution: stable-security
Urgency: high
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Stefano Zacchiroli <zack@debian.org>
Description: 
 libcamlimages-ocaml - OCaml image processing library
 libcamlimages-ocaml-dev - OCaml image processing library
 libcamlimages-ocaml-doc - OCaml CamlImages library documentation
Closes: 535909
Changes: 
 camlimages (1:2.2.0-4+lenny1) stable-security; urgency=high
 .
   * Add patch fix_integer_overflows to fix integer overflow with PNG
     images boundaries (CVE-2009-2295) (Closes: #535909)
Checksums-Sha1: 
 6bd6bbaa272a3e6890f0c64d25265f2954864c07 1993 camlimages_2.2.0-4+lenny1.dsc
 bc0062739be5ca9236f28145f17f840bf3f295ee 1385525 camlimages_2.2.0.orig.tar.gz
 f41143fc40cb417a38acfc4afd616d2a29381de8 9707 camlimages_2.2.0-4+lenny1.diff.gz
 5a1cc7a4315ab4d1afdcf8a9128ff7c57e6960b4 601364 libcamlimages-ocaml-doc_2.2.0-4+lenny1_all.deb
 76cba92f9524071aecfce7a5c233af689170142f 27722 libcamlimages-ocaml_2.2.0-4+lenny1_i386.deb
 e313f2cd674c0a8aa406486010eb0b28bb21a1f9 953866 libcamlimages-ocaml-dev_2.2.0-4+lenny1_i386.deb
Checksums-Sha256: 
 06c5fc40717c8f1a2e3d62ae07fab1e3651a083df4238475f89d4a5bea461e51 1993 camlimages_2.2.0-4+lenny1.dsc
 9b8861d7b8c6752ad33ef2af5c486efa626b19ad9ea190641a736384629f1026 1385525 camlimages_2.2.0.orig.tar.gz
 9eb7b9d26dd77a3383cba8f2424c4f04bd13f9ec0cec244ed3f9c8ee314a18fc 9707 camlimages_2.2.0-4+lenny1.diff.gz
 9d18d4c3089e432966e29e2fa3e867c37ab2104c49492d83eeef4b9f4806bb78 601364 libcamlimages-ocaml-doc_2.2.0-4+lenny1_all.deb
 f314a5e4fe3914ed32e272c8f044f605e3e1d6c6b937be029848cf748c19e8ad 27722 libcamlimages-ocaml_2.2.0-4+lenny1_i386.deb
 ab9bc5c482e7436c0192586e88d07c5ee97a1c85ba0efb200de8293234713e25 953866 libcamlimages-ocaml-dev_2.2.0-4+lenny1_i386.deb
Files: 
 06d190174afce7dbe2d337bf3577c0a8 1993 devel optional camlimages_2.2.0-4+lenny1.dsc
 d933eb58c7983f70b1a000fa01893aa4 1385525 devel optional camlimages_2.2.0.orig.tar.gz
 3c88dc5e8528e685876485d310edf1c4 9707 devel optional camlimages_2.2.0-4+lenny1.diff.gz
 577c511958087e582e893a4f174fa31c 601364 doc optional libcamlimages-ocaml-doc_2.2.0-4+lenny1_all.deb
 dbda0c3362977d516c9b9799a052f330 27722 libs optional libcamlimages-ocaml_2.2.0-4+lenny1_i386.deb
 eebdf69c111869e266fe0d273ffc2f21 953866 libdevel optional libcamlimages-ocaml-dev_2.2.0-4+lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBAgAGBQJKWKVJAAoJECIIoQCMVaAcfjgH/jL+Gq3PFVk7MjVHV0P5CNgY
wzKJSkApjcUSIe+ODP8Q47zC0Z9YKG1pTt1p6wP6d6ppZy96IL50MAfE1c0CZpSP
yqIRnemWZeuDouFdjVCtnxHbyFFCQ9NdPgSabUiUxqsCrM8c4qX5rwrPMGpvabR0
En/8lCSxn3x/CzsdYC56KjWTqW3jiJczDQ7KTX7bCO8dRzMpdWV8tnBvFOOUMlkX
e4TQPPIsnUggNd3YSfPpWvT8G5pP3DZqfwpzlcJYlyyop9MGJCuo4C5GV7zoVCja
GZIEuGecTPM3Yp5OsEwSgQq7OM39Rm5I/Lsc+r3Q6nZ11oyoec3mBA2CwXSe+Xw=
=/lAY
-----END PGP SIGNATURE-----





Reply sent to Stefano Zacchiroli <zack@debian.org>:
You have taken responsibility. (Sun, 30 Aug 2009 02:30:03 GMT) Full text and rfc822 format available.

Notification sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Sun, 30 Aug 2009 02:30:04 GMT) Full text and rfc822 format available.

Message #64 received at 535909-close@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 535909-close@bugs.debian.org
Subject: Bug#535909: fixed in camlimages 2.20-8+etch1
Date: Sun, 30 Aug 2009 01:54:47 +0000
Source: camlimages
Source-Version: 2.20-8+etch1

We believe that the bug you reported is fixed in the latest version of
camlimages, which is due to be installed in the Debian FTP archive:

camlimages_2.20-8+etch1.diff.gz
  to pool/main/c/camlimages/camlimages_2.20-8+etch1.diff.gz
camlimages_2.20-8+etch1.dsc
  to pool/main/c/camlimages/camlimages_2.20-8+etch1.dsc
libcamlimages-ocaml-dev_2.20-8+etch1_i386.deb
  to pool/main/c/camlimages/libcamlimages-ocaml-dev_2.20-8+etch1_i386.deb
libcamlimages-ocaml-doc_2.20-8+etch1_all.deb
  to pool/main/c/camlimages/libcamlimages-ocaml-doc_2.20-8+etch1_all.deb
libcamlimages-ocaml_2.20-8+etch1_i386.deb
  to pool/main/c/camlimages/libcamlimages-ocaml_2.20-8+etch1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535909@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Zacchiroli <zack@debian.org> (supplier of updated camlimages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 07 Jul 2009 13:51:06 +0200
Source: camlimages
Binary: libcamlimages-ocaml libcamlimages-ocaml-doc libcamlimages-ocaml-dev
Architecture: source i386 all
Version: 2.20-8+etch1
Distribution: oldstable-security
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Stefano Zacchiroli <zack@debian.org>
Description: 
 libcamlimages-ocaml - OCaml image processing library
 libcamlimages-ocaml-dev - OCaml image processing library
 libcamlimages-ocaml-doc - OCaml CamlImages library documentation
Closes: 535909
Changes: 
 camlimages (2.20-8+etch1) oldstable-security; urgency=low
 .
   * Add patch fix_integer_overflows to fix integer overflow with PNG
     images boundaries (CVE-2009-2295) (Closes: #535909)
Files: 
 0407fcb4b885258c0b81e979e03df7c4 1196 devel optional camlimages_2.20-8+etch1.dsc
 d933eb58c7983f70b1a000fa01893aa4 1385525 devel optional camlimages_2.20.orig.tar.gz
 1616ade3176c67bc862f7672d4c056dd 8737 devel optional camlimages_2.20-8+etch1.diff.gz
 578f54fe1370704e0bc80dfdf8a20049 599282 doc optional libcamlimages-ocaml-doc_2.20-8+etch1_all.deb
 480002667928107c5a379008abcb6710 24224 libs optional libcamlimages-ocaml_2.20-8+etch1_i386.deb
 483bf540a811aa854565ec26f0812de0 772576 libdevel optional libcamlimages-ocaml-dev_2.20-8+etch1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBAgAGBQJKWLHuAAoJECIIoQCMVaAcJ6kH/i6y8nbJLtUddB6CrS3TrA9T
FnZELQakh9jlPWNCFqg+sT1gyk7kmi2hk1IpVeb91aHcchsUEtbUDWeIGui+xzoR
oVEiv+EubopBbzTwNr/NG0a64cItHlLJpn4SZcxacVFwiMSIpQIlrX+EX0eQ4JGD
yDuiybKEBhk5S97oA87O0zu41h2GcVRCQFxjeAERucdOj+7HfXDKaXQ3f5JjiJoQ
EBkTSy2OINj++ET5i2AJ7c5/70ncuNxwHch0AWBT0jwkE1DJjy057DOx8z/boMRi
WGZ1F0Ob0HUuKrW6+0BiCM86TxWPmhOi7yuAt7pbqpbSMifMAJXtqfn3Gt6NW7I=
=GqKH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Sep 2009 07:27:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:52:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.